Bug 6260 - Received bad configure-ack:
: Received bad configure-ack:
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ppp)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-03-13 13:13 by
Modified: 2007-12-08 20:39 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-13 13:13:59
Не удается установить соединение с PocketPC:

Mar 13 12:40:11 genix synce-serial-start: Executing '/usr/sbin/pppd call
synce-device'
Mar 13 12:40:11 genix pppd[12213]: pppd 2.4.2 started by root, uid 0
Mar 13 12:40:13 genix pppd[12213]: Serial connection established.
Mar 13 12:40:13 genix pppd[12213]: Using interface ppp5
Mar 13 12:40:13 genix pppd[12213]: Connect: ppp5 <--> /dev/ttyUSB0
Mar 13 12:40:13 genix pppd[12213]: local  IP address 192.168.131.102
Mar 13 12:40:13 genix pppd[12213]: remote IP address 192.168.131.201
Mar 13 12:40:13 genix pppd[12213]: Received bad configure-ack: 
Mar 13 12:40:17 genix pppd[12213]: Received bad configure-ack: 
Mar 13 12:40:30 genix last message repeated 4 times
Mar 13 12:40:32 genix pppd[12213]: LCP terminated by peer
Mar 13 12:40:35 genix pppd[12213]: Connection terminated.

версия ppp-2.4.2-alt4
(до этого все работало)
------- Comment #1 From 2005-03-18 16:28:45 -------
откачу последний патч
------- Comment #2 From 2005-03-18 18:07:46 -------
пробуем читать это и включить поддержку MPPC:
http://www.gfxcafe.com/VPN%20Howto.html
а также добавить "alias ppp-compress-18 ppp_mppe_mppc" в /etc/modules.conf
может, поможет
------- Comment #3 From 2005-03-24 20:23:57 -------
Добавление опции alias ppp-compress-18 ppp_mppe_mppc только ухудшило картину:

Mar 24 20:14:54 genix pppd[9258]: pppd 2.4.2 started by root, uid 0
Mar 24 20:14:55 genix pppd[9258]: Serial connection established.
Mar 24 20:14:56 genix pppd[9258]: Using interface ppp5
Mar 24 20:14:56 genix pppd[9258]: Connect: ppp5 <--> /dev/ttyUSB0
Mar 24 20:14:56 genix kernel: MPPE/MPPC encryption/compression module
registered
Mar 24 20:14:56 genix kernel: mppe_decomp_alloc: options rejected: o[0]=12,
o[1]=06, o[2]=00, o[3]=00, o[4]=00, o[5]=00
Mar 24 20:14:56 genix kernel: mppe_decomp_alloc: options rejected: o[0]=12,
o[1]=06, o[2]=00, o[3]=00, o[4]=00, o[5]=00
Mar 24 20:14:56 genix pppd[9258]: local  IP address 192.168.131.102
Mar 24 20:14:56 genix pppd[9258]: remote IP address 192.168.131.201
Mar 24 20:14:56 genix kernel: mppe_decomp_alloc: options rejected: o[0]=12,
o[1]=06, o[2]=00, o[3]=00, o[4]=00, o[5]=00
Mar 24 20:14:56 genix pppd[9258]: Received bad configure-ack: 
Mar 24 20:14:57 genix kernel: ppp: compressor dropped pkt
Mar 24 20:14:59 genix kernel: mppe_decomp_alloc: options rejected: o[0]=12,
o[1]=06, o[2]=00, o[3]=00, o[4]=00, o[5]=00
Mar 24 20:14:59 genix pppd[9258]: Received bad configure-ack: 
Mar 24 20:15:00 genix kernel: ppp: compressor dropped pkt
Mar 24 20:15:02 genix kernel: ppp: compressor dropped pkt
Mar 24 20:15:02 genix kernel: mppe_decomp_alloc: options rejected: o[0]=12,
o[1]=06, o[2]=00, o[3]=00, o[4]=00, o[5]=00
Mar 24 20:15:02 genix last message repeated 2 times
Mar 24 20:15:02 genix pppd[9258]: Received bad configure-ack: 
Mar 24 20:15:04 genix kernel: ppp: compressor dropped pkt
Mar 24 20:15:05 genix kernel: ppp: compressor dropped pkt
Mar 24 20:15:05 genix kernel: mppe_decomp_alloc: options rejected: o[0]=12,
o[1]=06, o[2]=00, o[3]=00, o[4]=00, o[5]=00
Mar 24 20:15:05 genix pppd[9258]: Received bad configure-ack: 
Mar 24 20:15:06 genix kernel: ppp: compressor dropped pkt
Mar 24 20:15:08 genix last message repeated 3 times
Mar 24 20:15:08 genix kernel: mppe_decomp_alloc: options rejected: o[0]=12,
o[1]=06, o[2]=00, o[3]=00, o[4]=00, o[5]=00
Mar 24 20:15:08 genix last message repeated 2 times
Mar 24 20:15:08 genix pppd[9258]: Received bad configure-ack: 
Mar 24 20:15:10 genix kernel: ppp: compressor dropped pkt
Mar 24 20:15:11 genix kernel: mppe_decomp_alloc: options rejected: o[0]=12,
o[1]=06, o[2]=00, o[3]=00, o[4]=00, o[5]=00
Mar 24 20:15:11 genix pppd[9258]: Received bad configure-ack: 
Mar 24 20:15:14 genix kernel: mppe_decomp_alloc: options rejected: o[0]=12,
o[1]=06, o[2]=00, o[3]=00, o[4]=00, o[5]=00
Mar 24 20:15:14 genix last message repeated 2 times
Mar 24 20:15:14 genix pppd[9258]: Received bad configure-ack: 
Mar 24 20:15:16 genix kernel: ppp: compressor dropped pkt
Mar 24 20:15:17 genix kernel: mppe_decomp_alloc: options rejected: o[0]=12,
o[1]=06, o[2]=00, o[3]=00, o[4]=00, o[5]=00
Mar 24 20:15:17 genix pppd[9258]: Received bad configure-ack: 
Mar 24 20:15:18 genix kernel: ppp: compressor dropped pkt

ppp-2.4.2-alt4
------- Comment #4 From 2005-03-24 20:25:09 -------
речь идет о соединении с КПК -- там никакого шифрования не используется.
------- Comment #5 From 2005-03-24 20:26:36 -------
alt2 и alt6 работают без проблем и лишней ругани в логах
------- Comment #6 From 2007-03-25 22:43:57 -------
Это ещё актуально?
------- Comment #7 From 2007-12-08 20:39:25 -------
alt6 > alt4 => FIXED

Жень, если получится проверить на 2.4.4-alt9+ -- спасибо.  Ещё лучше на alt9.8+.